%define cvs_date 20060920

# TODO: pam CoreFoundation

Summary: The Enlightenment window manager
Name: e17
Version: 0.17.0.pre10
Release: alt1.%cvs_date
License: BSD
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source: %name-%cvs_date.tar.bz2

Source1: E-17.xpm
Source2: start%name
Source3: %name.wmsession

#Source5: %name-menu.method
Source6: %name.xpm
Source7: %name-32.xpm

Patch0: %name-compatibility.patch

BuildPreReq: libedje-devel >= 0.5.0.032-alt1.20060920
BuildPreReq: libembryo-devel >= 0.9.1.032-alt1.20060920

# Automatically added by buildreq on Sat Sep 16 2006
BuildRequires: edje embryo_cc fontconfig-devel gcc-c++ gcc-fortran glibc-devel-static imake libcurl-devel libedje-devel libembryo-devel libfreetype-devel libICE-devel libjpeg-devel libXcursor-devel libXdamage-devel libXinerama-devel libXp-devel libXrandr-devel libXScrnSaver-devel linux-libc-headers packages-info-i18n-common xorg-cf-files
#BuildRequires: edje embryo_cc fontconfig gcc-c++ imake libecore-devel libedje-devel libeet-devel libembryo-devel libevas-devel libjpeg-devel libXext-devel libXt-devel xorg-cf-files zlib-devel

%description
Enlightenment is a window manager.
E-17 is a non-stable Enlightenment version from CVS.

%package devel
Summary: Development headers for Enlightenment. 
Group: Development/C
Requires: %name = %version

%description devel
Development headers for Enlightenment.

%prep
%setup -q -n e
#patch0 -p1

%build
export NOCONFIGURE=yes
sh autogen.sh

%configure \
	--disable-static \
	--enable-shared
%make_build

%install
#make DESTDIR=%buildroot localedir=%_datadir/locale install 
%make_install DESTDIR=%buildroot install

%find_lang enlightenment

mv %buildroot%_bindir/enlightenment %buildroot%_bindir/e17

%__mkdir_p %buildroot%_sysconfdir/X11/wmsession.d
%__mkdir_p %buildroot%_bindir/
%__install -p -m755 %SOURCE2 %buildroot%_bindir/
%__install -D -pm 644 %SOURCE3 %buildroot%_sysconfdir/X11/wmsession.d/05E-17

#%__mkdir_p %buildroot%_sysconfdir/menu-methods/
#%__install -pD -m755 SOURCE5 %buildroot%_sysconfdir/menu-methods/%name

# Install icons
%__install -pD -m644 %SOURCE6 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE7 %buildroot%_iconsdir/%name.xpm
%__install -p -m644 %SOURCE1 %buildroot%_iconsdir/

%__install -d %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): needs=wm section=Session/Windowmanagers icon=%name.xpm title=E-17 command=%_bindir/start%name
EOF

#find_lang %name
%find_lang enlightenment

%post
%post_ldconfig
%update_menus
%update_wms


%postun
%postun_ldconfig
%update_menus
%update_wms

%files -f enlightenment.lang
%doc AUTHORS COPYING COPYING-PLAIN README
%config %_sysconfdir/X11/wmsession.d/*
%config %_sysconfdir/enlightenment/sysactions.conf
%dir %_libdir/enlightenment/
%_libdir/enlightenment/*
#_libdir/libe.so.*
%_menudir/%name
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_bindir/*
%dir %_datadir/enlightenment/
%_datadir/enlightenment/
%_datadir/xsessions/enlightenment.desktop

%files devel
%dir %_includedir/enlightenment/
%_includedir/enlightenment/*.h
#_includedir/E_Lib.h
#_libdir/libe.so

%changelog
* Wed Sep 20 2006 Igor Zubkov <icesik@altlinux.org> 0.17.0.pre10-alt1.20060920
- 20060910 -> 20060920

* Tue Sep 12 2006 Igor Zubkov <icesik@altlinux.org> 0.17.0.pre10-alt1.20060910
- update from cvs (20060327 -> 20060910)
- buildreq

* Mon Apr 10 2006 Igor Zubkov <icesik@altlinux.ru> 0.17.0.pre10-alt1.20060327
- update from cvs

* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050530
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050516
- updated from cvs.


* Mon May 16 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17.0.pre10-alt1.1.20050428
-  small fixes in the spec (wmsession.d path corrected).
-  %_menudir filesystem intersections repaired.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050428
- updated from cvs.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050421
- updated from cvs.

* Mon Apr 11 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0_pre10-alt1.cvs20050420
- Initial build from CVS

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 1:0.16.999-alt0.1_003_20050329
- updated from cvs.
- added serial due to version downgrade
- added lib%name and lib%name-devel packages

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.17.0-alt0.1_pre10_20050122
- updated from cvs.

* Fri Jun 13 2003 Alex Murygin <murygin@altlinux.ru> 0.17.0-alt0.1_20030613
- Updated from cvs.
- Moved to /usr/X11 dir
- added check to fam

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 0.17.0-alt0.1_20030530
- Updated from cvs.
- Fix borders
- Fix font link
- Add menu-method support
- Change standart font borzoib.ttf for n019003l.ttf (val-ttf)
- Added requires to efsd, imlib2_loaders

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.17.0-alt0.1_20021123
- First build for Sisyphus.
